_EXIT(2)

NAME
_exit - terminate the current process

SYNOPSIS
#include <unistd.h>

void _exit(int status);

DESCRIPTION
_exit terminates the calling process immediately. Any open file descriptors belonging to the process are closed; any children of the process are inherited by process 1, init, and the process's parent is sent a SIGCHLD signal. status is returned to the parent process as the process's exit status, and can be collected using one of the wait family of calls.

RETURN VALUE
_exit never returns.

CONFORMING TO
SVr4, SVID, POSIX, X/OPEN, BSD 4.3

NOTES
_exit does not call any functions registered with the ANSI C atexit function and does not flush standard I/O buffers. To do these things, use exit(3).

SEE ALSO
fork(2), execve(2), waitpid(2), wait4(2), kill(2), wait(2), exit(3)